Bug 44666 - Be kind to laptop users -- don't constantly write to drive
Be kind to laptop users -- don't constantly write to drive
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
: FutureFeature
Depends On: 44665
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-15 01:00 EDT by Bryce Nesbitt
Modified: 2014-03-16 22:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 17:44:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryce Nesbitt 2001-06-15 01:00:03 EDT
Hard drives use a lot of power, which is an issue on laptops.  RedHat 7.1
is not ideal on laptops -- the drive never gets a chance to spin down for
very long.  Something writes to the disk.  I've fixed this on my system,
and suggest RedHat does the same by default.

I suggest that RH make two small modifications for a "laptop" install.

The second is in /etc/fstab.  Add the "noatime" option.  For a laptop the
small loss of functionality is well worth the additional spin down time,
lower power consumption, noise reduction and lowered danger (of disk
writes).
Comment 1 Bryce Nesbitt 2001-06-15 01:01:18 EDT
See also bug #44665
Comment 2 Bill Nottingham 2001-06-17 22:08:25 EDT
(fixing version)

To do this as part of a laptop install class, this would need to be done in the
installer.
Comment 3 Bryce Nesbitt 2001-06-17 22:31:39 EDT
After doing the laptop, I changed my desktops to match.  Somebody must want
"atime", or it would not be there, but I can't think of any use for a personal
workstation.
Comment 4 Matt Wilson 2001-07-20 16:22:34 EDT
deferred; not on feature list
Comment 5 Michael Fulbright 2001-09-17 17:33:48 EDT
Seems like a kudzu issue.
Comment 6 Bryce Nesbitt 2001-09-17 18:08:47 EDT
Kudzu?  Seems like a system defaults or laptop-class installation issue.

Comment 7 Bill Nottingham 2005-02-04 17:44:35 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please attempt to confirm with more recent releases.

Note You need to log in before you can comment on or make changes to this bug.